## tracker 0.6.95-17maemo1%2b0m5

=== debian/changelog ===
tracker (0.6.95-17maemo1+0m5) stable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Kojo Aapo <aapo.kojo@nokia.com>  Mon, 14 Sep 2009 13:55:54 +0300

tracker (0.6.95-17maemo1) stable; urgency=low

  * Fixes: NB#138043, New tracker indexer crashes
  * Fixes: NB#114955, Usage of CPU is about 100% during long time after...
  * Fixes: NB#131278, Random tracker-indexer-71C9-11-2408.rcore crash...

 -- Martyn Russell <martyn@lanedo.com>  Fri, 11 Sep 2009 13:00:00 +0000

tracker (0.6.95-16maemo1) stable; urgency=low

  * Fixes: NB#96142, Duration of some video clips is not displayed

 -- Ivan Frade <ivan.frade@nokia.com>  Fri, 21 Aug 2009 13:47:00 +0000

tracker (0.6.95-15maemo1) stable; urgency=low

  * Fixes: NB#126773, trackerd and tracker-extract spam syslog

 -- Martyn Russell <martyn@lanedo.com>  Thu, 20 Aug 2009 18:00:00 +0000

tracker (0.6.95-14maemo1) stable; urgency=low

  * Fixes: NB#125991, Image Viewer consuming more time to filter the...
  * Fixes: NB#129415, [AF Checked] [REGF] Video and Audio Library view...

 -- Martyn Russell <martyn@lanedo.com>  Mon, 17 Aug 2009 14:30:00 +0000

tracker (0.6.95-13maemo1) stable; urgency=low

  * Fixes: NB#132414, tracker-extract crashes in tracker_utils_...

 -- Ivan Frade <ivan.frade@nokia.com>  Tue, 11 Aug 2009 17:38:00 +0000

tracker (0.6.95-12maemo1) stable; urgency=low

  * Fixes: NB#126773, tracker-extract spam syslog
  * Fixes: NB#131951, Ignoring extra directories in Maemo patches

 -- Ivan Frade <ivan.frade@nokia.com>  Tue, 11 Aug 2009 13:38:00 +0000

tracker (0.6.95-11maemo1) stable; urgency=low

  * Fixes: NB#131222, Crash in tracker-extract reading TIFF

 -- Ivan Frade <ivan.frade@nokia.com>  Fri, 10 Aug 2009 17:48:00 +0000

tracker (0.6.95-10maemo2) stable; urgency=low

  * Fixes: NB#131565 Crash in tracker-extract streaming flash

 -- Ivan Frade <ivan.frade@nokia.com>  Fri, 7 Aug 2009 11:19:00 +0000

tracker (0.6.95-10maemo1) stable; urgency=low

  * Fixes: NB#128713, Period in media filenames -TRUE
  * Fixes: NB#126260, 01.jpg and wavelength04.jpg has no Image:Date...

 -- Martyn Russell <martyn@lanedo.com>  Fri, 31 July 2009 11:00:00 +0000

tracker (0.6.95-9maemo2) unstable; urgency=low

  * Fixed debian/changelog to provide a satisfactory integration.
	
 -- Mikael Ottela <mikael.ottela@ixonos.com>  Thu, 2 Jul 2009 12:00:00 +0000

tracker (0.6.95-9maemo1) stable; urgency=low

  * Fixes: NB#121377, Tracker goes to pending state when corrupted mmc...
  * Fixes: NB#124920, Tracker sorting is incorrect
  * Fixes: NB#125050, got tracker criticals
  * Fixes: NB#124483, trackerd[1252]: GLIB CRITICAL ** Tracker - tracker...
  * Fixes nfs lock function so we don't call stat() twice.
  * Fixes 100% CPU with g_idle_add which continuously runs when paused
  * Fixes memory leak in imported libinotify.
  * Fixes 2 mallocs which were unused in the indexer gathering metadata
  * Removes unused code libtracker-data/tracker-data-file-info.[ch]

 -- Martyn Russell <martyn@lanedo.com>  Fri, 26 June 2009 18:00:00 +0000

tracker (0.6.95-8maemo1) stable; urgency=low

  * Fixes: NB#119318, Russian mp3 id tag is displayed incorrectly...
  * Fixes: NB#123591, Unknown genre displayed twice for the attached clips
  * Fixes: NB#100123, Image:Date is empty for some of the images
  * Fixes: NB#123030, Attached clip cannot be opened through music>arti...
  * Fixes trackerd crash when double freeing a device in the processor
  * Fixes trackerd crash when using strcasecmp with NULL in metadata API
  * Fixes notification of removed URIs to thumbnailer from indexer
  * Fixes compiler warnings
  * Fixes MP3 genres so we are more strict with the exact strings
  * Fixes MP3 genres which are handwritten to use leading uppercase
  * Fixes compilation error if you don't have GdkPixbuf installed
  * Updates tracker-stats cache timeout from 5 minutes to 2 minutes
  * Updates patch 07 to ignore usual symbian directories in memcards
  * Updates tracker-cud.sh to remove all thumbnails on user data reset
  * Improves the design in the metadata handling for the indexer/modules
  * Improve error handling/logging in sqlite created functions.
  * Adds dependency on libenca

 -- Martyn Russell <martyn@imendio.com>  Wed, 24 June 2009 17:00:00 +0000

tracker (0.6.95-7maemo2) stable; urgency=low

  * Fixes 23tracker script to include & after trackerd command

 -- Martyn Russell <martyn@imendio.com>  Thu, 18 June 2009 11:10:00 +0000

tracker (0.6.95-7maemo1) stable; urgency=low

  * Fixes: NB#119318, Russian mp3 id tag is displayed incorrectly...
  * Fixes multiple instances of trackerd caused by use of run-standalone.sh
  * Adds patch #12 which monitors the cover state to switch database modes
  * Adds libenca support for determining encodings from data snippets
  * Improves trackerd get statistics speed significantly.

 -- Martyn Russell <martyn@imendio.com>  Wed, 17 June 2009 17:45:00 +0000

tracker (0.6.95-6maemo1) stable; urgency=low

  * Fixes: NB#107116, Music:Duration displayed as -:- in library for...
  * Fixes: NB#117593, Top most played and Never played songs not listed...
  * Fixes: NB#119230, tracker-extract: memory management shall be improved
  * Fixes: NB#121542, trackerd[1460]: GLIB CRITICAL ** GLib-GIO - g_file...
  * Moved 31tracker to 23tracker, so we start earlier
  * Removed DISTINCT keyword from GetByServiceType, should speed things up
  * Added GError handling to crawler GIO operations
  * Added empty tracker-doc package to fill sysint requirements.
  * Added tracker-extract code to set /proc/self/oom_adj to 15.

 -- Martyn Russell <martyn@imendio.com>  Tue, 16 June 2009 17:30:00 +0000

tracker (0.6.95-5maemo1) stable; urgency=low

  * Fixes: NB#120568, Found tracker indexer crash after doing clear...
  * Fixes: NB#120985, tracker-files is not lisitng files,seems tracker...
  * Fixes: NB#120883, duration of playlists container is improper


## tracker 0.6.95-17maemo1+0m5

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
  
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk
include /usr/share/cdbs/1/rules/utils.mk

# Skip .svn dirs if any in the build directories
DEB_DH_ALWAYS_EXCLUDE := .svn
DEB_DH_STRIP_ARGS := --dbg-package=tracker --dbg-package=libtrackerclient --dbg-package=tracker-utils

DEB_CONFIGURE_EXTRA_FLAGS := 			\
	--with-compile-warnings=no		\
	--disable-static			\
	--disable-deskbar-applet 		\
	--disable-tracker-applet 		\
	--disable-tracker-preferences 		\
	--disable-tracker-search-tool 		\
	--disable-libtrackergtk 		\
	--disable-unit-tests 			\
	--disable-imagemagick			\
	--disable-unac 				\
	--disable-fts				\
	--disable-detailed-metadata		\
	--enable-video-extractor=gstreamer 	\
	--disable-gstreamer-helix		\
	--enable-gstreamer-tagreadbin		\
	--enable-external-sqlite 		\
	--enable-poppler-glib			\
	--enable-libexif 			\
	--disable-libgsf			\
	--enable-libtiff			\
	--enable-libjpeg			\
	--enable-exempi				\
	--enable-playlist			\
	--enable-hildon-thumbnail		\
	--enable-unzip-ps-gz-files=no		\
	--disable-gtk-doc

DEB_CONFIGURE_SCRIPT_ENV += LDFLAGS="-Wl,--as-needed"

# Enforce tight shlibs dependencies
# DEB_DH_MAKESHLIBS_ARGS_ALL := -V

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  confflags += --build $(DEB_HOST_GNU_TYPE)
else
  confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

CFLAGS += -g

# Use soft-float and thumb mode if it enabled.
ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -mthumb
endif

ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
        INSTALL_PROGRAM += -s
endif

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

post-patches:: debian/stamp-autothings-update
debian/stamp-autothings-update:
	# Set ACLOCAL_FLAGS so that libtool.m4 is picked up in scratchbox 1.0.x + sardine
	NOCONFIGURE=1 ACLOCAL_FLAGS="-I /targets/links/arch_tools/share/aclocal" ./autogen.sh $(DEB_CONFIGURE_EXTRA_FLAGS)
	# Can add things here that need to be ran after autogen.sh
	touch $@

clean::
	rm -f debian/stamp-autothings-update

## tracker 0.6.95-20maemo1%2b0m5

=== debian/changelog ===
tracker (0.6.95-20maemo1+0m5) stable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Kojo Aapo <aapo.kojo@nokia.com>  Fri, 02 Oct 2009 11:53:03 +0300

tracker (0.6.95-20maemo1) stable; urgency=low

  * Fixes: NB#140077, Send statistics signal only at the end of the... 
  * Fixes: NB#126255, Image:Date is empty for some of the images

 -- Martyn Russell <martyn@lanedo.com>  Tue, 29 Sep 2009 15:00:00 +0000

tracker (0.6.95-19maemo1) stable; urgency=low

  * Fixes: NB#140077, Send statistics signal only at the end of the... 

 -- Martyn Russell <martyn@lanedo.com>  Wed, 23 Sep 2009 11:00:00 +0000

tracker (0.6.95-18maemo1) stable; urgency=low

  * Fixes: NB#131278, Random tracker-indexer-71C9-11-2408.rcore crash...

 -- Carlos Garnacho <carlos@lanedo.com>  Fri, 22 Sep 2009 17:00:00 +0000

## tracker 0.6.95-24maemo1%2b0m5

=== debian/changelog ===
tracker (0.6.95-24maemo1+0m5) stable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Kojo Aapo <aapo.kojo@nokia.com>  Thu, 26 Nov 2009 14:57:58 +0200

tracker (0.6.95-24maemo1) stable; urgency=low

  * Fixes: NB#147027, Hidden folders in PC become visible on the device...

 -- Martyn Russell <martyn@lanedo.com>  Thu, 24 Nov 2009 14:00:00 +0000

tracker (0.6.95-23maemo1) stable; urgency=low

  * Fixes: NB#131786, [PR1.1 Proposal]trackerd crashed while doing CUD
  * Fixes: NB#131369, [PR1.1 Proposal] Jan  1 08:14:54 Nokia-NXX-32-8...
  * Fixes: NB#126283, [AF checked]  Top level category statistics show 2x...

 -- Martyn Russell <martyn@lanedo.com>  Thu, 14 Oct 2009 16:00:00 +0000

tracker (0.6.95-22maemo1) stable; urgency=low

  * Fixes: NB#129094, [PR1.1 Proposal]HasKeywords is wrongly set for an...
  * Fixes: NB#125859, [PR1.1 Proposal]Different genre name shown for a...
  * Fixes: NB#125128, [PR1.1 Proposal]junk characters are shown in artist...
  * Fixes: NB#136770, [PR1.1 proposal]Not able to see the pictures captu...
  * Fixes: NB#126696, [PR1.1 Proposal] Tracker extractor crashes while...
  * Fixes: NB#135190, [PR1.1 Proposal]tracker-extract[2702]: GLIB CRITICAL...
  * Fixes: NB#135368, [PR1.1 Proposal]No Track Number in itunes audio books
  * Fixes: NB#134330, [PR1.1 Proposal]trackerd crashed in sqlite3_bind_text 
  * Fixes: NB#126185, [PR1.1 Proposal]tracker-extract[1413]: GLIB CRITICAL...

 -- Martyn Russell <martyn@lanedo.com>  Thu, 12 Oct 2009 12:00:00 +0000

tracker (0.6.95-21maemo1) stable; urgency=low

  * Fixes: NB#140966, tracker-indexer D-Bus interface should have a...

 -- Martyn Russell <martyn@lanedo.com>  Thu,  1 Oct 2009 18:00:00 +0000

## tracker 0.6.95-25maemo1%2b0m5

=== debian/changelog ===
tracker (0.6.95-25maemo1+0m5) stable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Gary Birkett <ext-gary.2.birkett@nokia.com>  Wed, 27 Jan 2010 17:31:00 +0200

tracker (0.6.95-25maemo1) stable; urgency=low

  * Fixes: NB#137788, Try first TPE1 instead of TP2 for the Audio:Ar...
	
 -- Martyn Russell <martyn@lanedo.com>  Thu, 21 Jan 2010 15:30:00 +0000

tracker (0.6.95-24maemo2) stable; urgency=low

  * Fixes: NB#146001, Awb audio clip not found by Tracker
  * Fixes: NB#149145, Remove doc files from tracker deb

 -- Martyn Russell <martyn@lanedo.com>  Fri,  8 Jan 2010 11:00:00 +0000

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 include /usr/share/cdbs/1/rules/utils.mk
 
 # Skip .svn dirs if any in the build directories
-DEB_DH_ALWAYS_EXCLUDE := .svn
+DEB_DH_ALWAYS_EXCLUDE := .svn:.svn:copyright:AUTHORS:NEWS:NEWS.gz:TODO:README:README.gz
 DEB_DH_STRIP_ARGS := --dbg-package=tracker --dbg-package=libtrackerclient --dbg-package=tracker-utils
 
 DEB_CONFIGURE_EXTRA_FLAGS := 			\
@@ -44,6 +44,9 @@
 
 # Enforce tight shlibs dependencies
 # DEB_DH_MAKESHLIBS_ARGS_ALL := -V
+
+DEB_DH_INSTALLCHANGELOGS_ARGS := --no-act
+DEB_DH_INSTALLDOCS_ARGS := --no-act
 
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

## tracker 0.6.95-25maemo1+0m5

=== extensions/firefox-extension/Makefile ===

PROJECT = firefox-extension-xesam
VERSION = 1.0.1

all: $(PROJECT).xpi

XPI_FILES = 			\
	chrome.manifest		\
	install.rdf		\
	chrome/content/contents.rdf		\
	chrome/content/beagleOverlay.js	\
	chrome/content/beagleOverlay.xul	\
	chrome/content/beaglePrefs.js		\
	chrome/content/beaglePrefs.xul		\
	chrome/content/beagleAddFilter.xul	\
	chrome/content/beagleAddFilter.js	\
	chrome/content/indexLink.xul	\
	chrome/content/indexLink.js	\
	chrome/content/indexBookmark.js	\
	chrome/content/md5.js			\
	chrome/content/utils.js	\
	chrome/content/i18n.js	\
	chrome/content/json.js	\
	\
	chrome/content/jslib/jslib.js		\
	chrome/content/jslib/modules.js	\
	chrome/content/jslib/debug/debug.js	\
	chrome/content/jslib/io/dir.js		\
	chrome/content/jslib/io/dirUtils.js	\
	chrome/content/jslib/io/file.js	\
	chrome/content/jslib/io/fileUtils.js	\
	chrome/content/jslib/io/filesystem.js	\
	\
	chrome/locale/en-US/contents.rdf	\
	chrome/locale/en-US/beagle.dtd		\
	chrome/locale/en-US/beagle.properties	\
	\
	chrome/skin/classic/contents.rdf	\
	chrome/skin/classic/beagle-big.png	\
	chrome/skin/classic/beagle-disabled.png\
	chrome/skin/classic/beagle-error.png	\
	chrome/skin/classic/beagle.png\
	chrome/skin/classic/overlay.css	

$(PROJECT).xpi: $(XPI_FILES)
	zip -q9 $@ $^


EXTRA_DIST =			\
	$(XPI_FILES)

CLEANFILES =			\
	$(PROJECT).xpi

=== debian/control ===
Source: tracker
Section: utils
Priority: optional
Maintainer: Urho Konttori <urho.konttori@nokia.com>
XS-Python-Version: all
Build-Depends: cdbs, debhelper (>= 5.0.0), autotools-dev,
  libxml-parser-perl, libglib2.0-dev (>= 2.16.0), libpango1.0-dev
  (>=1.0.0), libdbus-1-dev (>= 0.60), libdbus-glib-1-dev (>= 0.60),
  libgmime-2.0-2-dev (>= 2.2.0), libsqlite3-dev (>= 3.5),
  libosso-gsf-1-dev (>= 1.11), libexif-dev (>= 0.6), libpng12-dev
  (>=1.2), libgtk2.0-dev (>= 2.8.0), zlib1g-dev, intltool, libhal-dev
  (>= 0.5.10), libhal-storage-dev (>= 0.5.10), gtk-doc-tools,
  libhildon-thumbnail-dev (>= 3.0.10), libexempi-dev, libjpeg62-dev,
  libtiff4-dev (>= 3.8.2), libxml2-dev, libpoppler-glib-dev,
  libgstreamer0.10-dev (>= 0.10.20), libgstreamer-plugins-base0.10-dev
  (>= 0.10.20), libtotem-plparser-dev, libiptcdata0-dev, libenca-dev,
  mce-dev
Standards-Version: 3.7.2 

Package: tracker
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, shared-mime-info, dbus,
  libhal1, libhal-storage1, hildon-thumbnail (>= 3.0.10), libexempi3,
  libjpeg62, libgstreamer0.10-0, libgstreamer-plugins-base0.10-0,
  libtiff4 (>= 3.8.2), libxml2, libpoppler0c2-glib,
  libtotem-plparser12, libiptcdata0, libenca0, mce
Recommends: tracker-utils, unzip, wv, poppler-utils | xpdf-utils,
  xsltproc, w3m, untex, o3read
Suggests: evince, djvulibre-bin, gnumeric
Description: All-in-one indexer, search tool and metadata database.

Package: tracker-dbg
Architecture: any
Priority: extra
Depends: tracker (= ${binary:Version})
Description: All-in-one indexer, search tool and metadata database.

Package: tracker-doc
Architecture: any
Priority: extra
Depends: tracker (= ${binary:Version})
Description: Tracker documentation package.

Package: libtrackerclient0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Tracker client side library to access indexed data.

Package: libtrackerclient0-dbg
Architecture: any
Priority: extra
Depends: libtrackerclient0 (= ${binary:Version})
Description: Tracker client side library to access indexed data.

Package: libtrackerclient0-dev
Architecture: any
Section: libdevel
Depends: libtrackerclient0 (= ${binary:Version}), libglib2.0-dev,
  libdbus-1-dev, libdbus-glib-1-dev 
Description: Tracker client side library to access indexed data.

Package: tracker-utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, tracker (= ${binary:Version})
Description: Tracker command line applications to lookup data
 Included utilities for Tracker:
  * tracker-files:       Get files based service type or mime type.
  * tracker-meta-folder: Get metadata for all files in a folder.
  * tracker-query:       Run an RDF query against the databases.
  * tracker-search:      Perform a google-like search on all data.
  * tracker-stats:       Get statistics on how many items are indexed.
  * tracker-status:      Get the current state of the daemon (idle/indexing/etc).
  * tracker-tag:         Add, remove, list tags for specific files.

Package: tracker-utils-dbg
Architecture: any
Priority: extra
Depends: tracker-utils (= ${binary:Version})
Description: Tracker command line applications to lookup data

## tracker 0.6.95-35maemo1%2b0m5

=== debian/changelog ===
tracker (0.6.95-35maemo1+0m5) stable; urgency=low

  * This entry has been added by BIFH queue processor
    version has been changed to 0.6.95-35maemo1+0m5

 -- Gary Birkett <ext-gary.2.birkett@nokia.com>  Wed, 09 Jun 2010 12:51:14 +0300

tracker (0.6.95-35maemo1) stable; urgency=low

  * Fixes: NB#162689 Recompilation with G_DISABLE_CAST_CHECKS

 -- Alban Crequy <alban.crequy@collabora.co.uk>  Mon, 07 Jun 2010 11:12:38 +0100

tracker (0.6.95-34maemo1) stable; urgency=low

  * Fixes: NB#166935 More memory leaks detected by valgrind

 -- Alban Crequy <alban.crequy@collabora.co.uk>  Fri, 04 Jun 2010 14:18:23 +0100

tracker (0.6.95-33maemo1) stable; urgency=low

  * Fixes: NB#166935 Memory leak in tracker-indexer

 -- Alban Crequy <alban.crequy@collabora.co.uk>  Mon, 24 May 2010 18:04:14 +0100

tracker (0.6.95-32maemo1) stable; urgency=low

  * Fixes: NB#131363 fix un-unsynchronisation in ID3v2, patch by Ottela Mikael
  * Fixes: NB#156985 Add tag Composer
  * Fixes: NB#169562 Avoid regenerating thumbnails unnecessarily every 3 days

 -- Alban Crequy <alban.crequy@collabora.co.uk>  Mon, 24 May 2010 16:14:42 +0100

## tracker 0.6.95-35maemo1+0m5

=== extensions/thunderbird-extension/Makefile ===
PROJECT = tracker
VERSION = 0.1.3

all: $(PROJECT).xpi

JAR_FILES =					\
	content/tracker.css			\
	content/trackerIndexer.js		\
	content/trackerMailWindow.xul		\
	content/trackerMessenger.xul		\
	content/trackerPrefs.xul			\
	content/trackerQueue.js			\
	content/trackerService.js		\
	content/trackerSettings.js		\
	content/trackerUnindex.js		\
	content/trackerUnindex.xul		\
	content/trackerUtils.js			\
	content/contents.rdf			\
	locale/en-US/tracker.dtd			\
	locale/en-US/strings.properties		\
	locale/en-US/contents.rdf		\
	skin/classic/overlay.css		\
	skin/classic/tracker.png			\
	skin/classic/tracker-disabled.png	\
	skin/classic/tracker-error.png		\
	skin/classic/contents.rdf

XPI_FILES =					\
	chrome.manifest				\
	install.rdf				\
	chrome/$(PROJECT).jar			\
	defaults/preferences/default.js		\
	components/TrackerIndexer.js		\
	components/TrackerQueue.js		\
	components/TrackerSettings.js		\
	components/TrackerCommandLine.js

chrome/$(PROJECT).jar: $(JAR_FILES)
	-@mkdir -p chrome
	zip -q9 $@ $^

$(PROJECT).xpi: $(XPI_FILES)
	zip -q9 $@ $^


clean:
	rm -f chrome/$(PROJECT).jar
	rm -f $(PROJECT).xpi

=== debian/rules ===
--- 
+++ 
@@ -77,6 +77,10 @@
 	INSTALL_PROGRAM += -s
 endif
 
+ifeq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
+	CFLAGS += -DG_DISABLE_CAST_CHECKS
+endif
+
 post-patches:: debian/stamp-autothings-update
 debian/stamp-autothings-update:
 	# Set ACLOCAL_FLAGS so that libtool.m4 is picked up in scratchbox 1.0.x + sardine

## tracker 0.6.95-35maemo1+0m5+0cssu1

=== debian/changelog ===
tracker (0.6.95-35maemo1+0m5+0cssu1) stable; urgency=low

  * Version bump to fix (build produced) dependency on libpoppler from extras devel

 -- Christian Ratzenhofer <christian.ratzenhofer@cdnm.at>  Wed, 29 May 2013 16:39:59 +0200

tracker (0.6.95-35maemo1+0m5+0cssu0) stable; urgency=low

  * Fixes: #9316 Tracker doesn't run album art heuristics for non-mp3 audio files
  * Fixes: #9317 Tracker doesn't import album art from .mediaartlocal at all
  * Properly care about NoWatch list for discovered removable devices

 -- Christian Ratzenhofer <christian_ratzenhofer@yahoo.de>  Sat,  7 Apr 2012 15:59:21 +0200

## tracker 0.8.17

=== debian/changelog ===
tracker (0.8.17-0ubuntu1) maverick; urgency=low

  * New upstream bugfix release v0.8.17

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 10 Sep 2010 12:24:32 +0100

tracker (0.8.16-0ubuntu1) maverick; urgency=low

  * New upstream release v0.8.16
  * Drop debian/patches/01-nfo-belongsToContainer-index.patch, we shouldn't
    really be distro-patching ontologies

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 26 Aug 2010 01:54:00 +0100

tracker (0.8.15-1ubuntu1) maverick; urgency=low

  * Merge with Debian unstable, remaining changes:
    - debian/30-tracker.conf: increase number of watches to 524288

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 05 Aug 2010 19:29:55 +0100

tracker (0.8.15-1) unstable; urgency=low

  * New upstream release.
    - Show email search results in tracker-search-tool. (Closes: #584895)
  * debian/patches/01-tracker-status-icon-show-missing-menu-items.patch
    - Removed, fixed upstream.
  * debian/patches/01-nfo-belongsToContainer-index.patch
    - Keep index for nfo:belongsToContainer as otherwise the initial crawling
      suffers a serious performance regression.
  * debian/control
    - Bump Build-Depends on libglib2.0-dev to (>= 2.24.0).
    - Bump Standards-Version to 3.9.0.
    - Use Breaks instead of Conflicts as recommended by the new policy.

 -- Michael Biebl <biebl@debian.org>  Fri, 16 Jul 2010 13:57:26 +0200

tracker (0.8.12-1) unstable; urgency=low

  * New upstream release.
  * debian/libtracker-miner-0.8-dev.install
    - Install vapi helper file /usr/share/vala/vapi/tracker-miner-0.8.deps.
  * debian/patches/01-tracker-status-icon-show-missing-menu-items.patch
    - Show missing menu items in tracker-status-icon's context menu.

 -- Michael Biebl <biebl@debian.org>  Thu, 17 Jun 2010 23:12:57 +0200

tracker (0.8.11-1) unstable; urgency=low

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Sun, 13 Jun 2010 16:31:39 +0200

tracker (0.8.9-1) unstable; urgency=low

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Sat, 29 May 2010 17:20:14 +0200

tracker (0.8.7-0ubuntu1) maverick; urgency=low

  * New upstream release (0.8.7)

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 20 May 2010 18:58:17 +0100

tracker (0.8.6-0ubuntu1) maverick; urgency=low

  * New upstream release (0.8.6)
  * debian/tracker-miner-evolution.install:
    - rename desktop file

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 13 May 2010 18:51:53 +0200

tracker (0.8.5-0ubuntu1) maverick; urgency=low

  * New upstream release (0.8.5)
  * Merge with Debian, remaining changes:
    - debian/30-tracker.conf: increase number of watches to 524288
    - debian/control: don't build-depend on libunac-dev
    - debian/rules: don't build with --enable-unac

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 07 May 2010 17:39:44 +0100

tracker (0.8.3-1) unstable; urgency=low

  * New upstream release.
  * debian/control
    - Improve package descriptions. Thanks to Tshepang Lekhonkhobe for the
      patch.
    - Add Build-Depends on gtk-doc-tools and graphviz.
  * debian/rules
    - Add --enable-gtk-doc to DEB_CONFIGURE_EXTRA_FLAGS.
  * debian/libtracker-{client,extractor,miner}-dev.install
    - Install API documentation.
  * debian/patches/30-vfat-hidden-attribute-build-fix.patch
    - Removed, merged upstream.
  * debian/tracker.install
    - Install D-Bus interface description file tracker-miner-web.xml.

 -- Michael Biebl <biebl@debian.org>  Sat, 24 Apr 2010 18:12:48 +0200

tracker (0.8.2-1) unstable; urgency=low

  * New upstream release.
  * Remove patches
    - debian/patches/10-improve-library-dependencies.patch (merged upstream)
    - debian/patches/20-am-maintainer-mode.patch (obsolete)
    - debian/patches/99-autoreconf.patch (obsolete)
  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Fri, 16 Apr 2010 19:14:41 +0200

tracker (0.8.1-2) experimental; urgency=low

  * debian/control
    - Add Breaks: rygel-tracker (<< 0.5) as the D-Bus API has changed between
      0.6 and 0.8.
    - Add Conflicts/Replaces: tracker (<< 0.8.1-1) to tracker-gui. The icons
      were moved between those two packages.
    - Remove useless Conflicts from tracker-miner-fs and
      tracker-miner-evolution. Both packages already have a strict dependency
      on tracker.
  * debian/patches/10-improve-library-dependencies.patch
    - Only link against libraries when actually needed to get rid of
      unnecessary library dependencies.
  * debian/patches/99-autoreconf.patch
    - Run autoreconf to update the build system.

 -- Michael Biebl <biebl@debian.org>  Wed, 14 Apr 2010 01:20:31 +0200

tracker (0.8.1-1) experimental; urgency=low

  * New major upstream release. (Closes: #549695)
    - The changes are too numerous to list them all, as it is basically a
      rewrite. Some relevant changes:
    - QDBM is gone, and with it its limitations. (Closes: #452657, #525393)
    - The metadata store has been split from the file system crawler and can
      be used independently. There are separate "miners" which can be
      installed to feed data to tracker.
      The new packaging layout accounts for that change.
    - Support for Nepomuk with SPARQL which are used to query and update the
      data.
    - tracker-meta-folder is gone. (Closes: #430623)
  * Remove patches:
    - debian/patches/10-binutils-gold.patch (fixed upstream)
    - debian/patches/15-am-maintainer-mode.patch (obsolete)
    - debian/patches/20-tracker-search-man-page-typo-fix.patch (merged
      upstream)
    - debian/patches/25-trackerd-man-page-typo-fix.patch (merged upstream)
    - debian/patches/99-autoreconf.patch (obsolete)
  * debian/patches/30-vfat-hidden-attribute-build-fix.patch
    - Refresh to apply cleanly.
  * Update Build-Depends:
    - Bump libglib2.0-dev to (>= 2.20.0).
    - Bump libdbus-1-dev to (>= 1.0).
    - Bump libdbus-glib-1-dev to (>= 0.78).
    - Bump libsqlite3-dev to (>= 3.6.16).
    - Bump libgtk2.0-dev to (>= 2.18.0).


=== debian/control ===
Source: tracker
Section: utils
Priority: optional
Maintainer: Chris Coulson <chrisccoulson@ubuntu.com>
XSBC-Original-Maintainer: Michael Biebl <biebl@debian.org>
Build-Depends: cdbs,
               debhelper (>= 7),
               autotools-dev,
               pkg-config,
               intltool (>= 0.35.0),
               libglib2.0-dev (>= 2.24.0),
               libpango1.0-dev (>= 1.0.0),
               libdbus-1-dev (>= 1.0),
               libdbus-glib-1-dev (>= 0.78),
               libgstreamer0.10-dev (>= 0.10.12),
               libgstreamer-plugins-base0.10-dev (>= 0.10.12),
               libsqlite3-dev (>= 3.6.16),
               libpoppler-glib-dev (>= 0.4.5),
               libgsf-1-dev (>= 1.13),
               libexif-dev (>= 0.6),
               libpng12-dev (>= 1.2),
               libtiff4-dev,
               libvorbis-dev (>= 0.22),
               libflac-dev (>= 1.2.1),
               libgtk2.0-dev (>= 2.18.0),
               libtotem-plparser-dev,
               zlib1g-dev,
               libunac1-dev,
               libexempi-dev (>= 2.1.0),
               libnotify-dev (>= 0.4.3),
               evolution-dev (>= 2.25.5),
               evolution-data-server-dev (>= 2.25.5),
               libpanel-applet2-dev,
               libxml2-dev (>= 2.6),
               libdevkit-power-gobject-dev (>= 007),
               libnautilus-extension-dev,
               libenca-dev (>= 1.9),
               libiptcdata0-dev,
               uuid-dev,
               libgee-dev (>= 0.3),
               valac,
               gtk-doc-tools,
               graphviz
Standards-Version: 3.9.0
Vcs-Git: git://git.debian.org/git/users/biebl/tracker.git
Vcs-Browser: http://git.debian.org/?p=users/biebl/tracker.git;a=summary
Homepage: http://www.tracker-project.org/

Package: tracker
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         shared-mime-info,
         dbus
Recommends: tracker-utils,
            tracker-gui,
            tracker-miner-fs,
            tracker-miner-evolution
Breaks: rygel-tracker (<< 0.5)
Description: metadata database, indexer and search tool
 Tracker is an advanced framework for first class objects with associated
 metadata and tags. It provides a one stop solution for all metadata, tags,
 shared object databases, search tools and indexing.

Package: libtracker-client-0.8-0
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: metadata database, indexer and search tool - library
 This package contains the library that is used by applications to access
 the Tracker daemon.
 .
 Tracker is an advanced framework for first class objects with associated
 metadata and tags. It provides a one stop solution for all metadata, tags,
 shared object databases, search tools and indexing.

Package: libtracker-client-0.8-dev
Architecture: any
Section: libdevel
Depends: libtracker-client-0.8-0 (= ${binary:Version}),
         ${misc:Depends},
         libglib2.0-dev
Description: metadata database, indexer and search tool - development files
 This package contains the static libraries and header files needed to link
 applications with libtracker-client.
 .
 Tracker is an advanced framework for first class objects with associated
 metadata and tags. It provides a one stop solution for all metadata, tags,
 shared object databases, search tools and indexing.

Package: libtracker-miner-0.8-0
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: tracker data miner library
 This package contains the library that is used by applications that provide
 data miners for tracker.
 .
 Tracker is an advanced framework for first class objects with associated
 metadata and tags. It provides a one stop solution for all metadata, tags,
 shared object databases, search tools and indexing.

Package: libtracker-miner-0.8-dev
Architecture: any
Section: libdevel
Depends: libtracker-miner-0.8-0 (= ${binary:Version}),
         ${misc:Depends},
         libtracker-client-0.8-dev,
         libglib2.0-dev
Description: tracker data miner library - development files
 This package contains the static libraries and header files needed to link
 applications with libtracker-miner.
 .
 libtracker-miner provides a library to develop tracker data miners.
 .
 Tracker is an advanced framework for first class objects with associated
 metadata and tags. It provides a one stop solution for all metadata, tags,
 shared object databases, search tools and indexing.

Package: libtracker-extract-0.8-0
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: tracker extractor library
 This package contains the library that is used by applications that provide
 metadata extractors for 3rd party file types.
 .
 Tracker is an advanced framework for first class objects with associated
 metadata and tags. It provides a one stop solution for all metadata, tags,
 shared object databases, search tools and indexing.

Package: libtracker-extract-0.8-dev
Architecture: any
Section: libdevel
Depends: libtracker-extract-0.8-0 (= ${binary:Version}),
         ${misc:Depends},
         libtracker-client-0.8-dev,
         libglib2.0-dev
Description: tracker extractor library - development files
 This package contains the static libraries and header files needed to link
 applications with libtracker-extract.
 .
 libtracker-extract provides a library to develop metadata extractors for 3rd
 party file types.
 .
 Tracker is an advanced framework for first class objects with associated
 metadata and tags. It provides a one stop solution for all metadata, tags,
 shared object databases, search tools and indexing.

Package: tracker-utils
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         tracker (= ${binary:Version})
Description: metadata database, indexer and search tool - commandline tools
 Included utilities for Tracker:
  * tracker-import: import data using Turtle files
  * tracker-info: get information about files
  * tracker-search: this perfoms a google like search using SEARCHTERM to
    retrieve all matching files where SEARCHTERM appears in any searchable
    metadata
  * tracker-sparql: query or update Tracker database using SPARQL
  * tracker-stats: retrieve some statistics
  * tracker-status: report status of tracker-store and running miners
  * tracker-tag: tool to manage tags on files
 .
 Tracker is an advanced framework for first class objects with associated
 metadata and tags. It provides a one stop solution for all metadata, tags,
 shared object databases, search tools and indexing.

Package: tracker-search-tool
Architecture: all
Section: oldlibs
Depends: tracker-gui
Description: transitional package to tracker-gui
 This is a transitional package to facilitate the upgrade to the new name
 tracker-gui. It can be safely removed after the upgrade.
 .
 Tracker is an advanced framework for first class objects with associated
 metadata and tags. It provides a one stop solution for all metadata, tags,
 shared object databases, search tools and indexing.

Package: tracker-gui
Architecture: any
Section: gnome
Depends: ${shlibs:Depends},
         ${misc:Depends},
         tracker (= ${binary:Version}),
         gnome-icon-theme
Breaks: tracker-search-tool (<< 0.8.1-1),
        tracker (<< 0.8.1-1)
Replaces: tracker-search-tool (<< 0.8.1-1),
          tracker (<< 0.8.1-1)
Description: metadata database, indexer and search tool - GNOME frontends
 Included in this package:
  * tracker-search-tool: standard search tool
  * tracker-search-bar: search applet for the GNOME panel
  * tracker-status-icon: GNOME status icon
  * tracker-preferences: preferences editor
  * nautilus-extension: nautilus extension for tag editing
 .
 Tracker is an advanced framework for first class objects with associated
 metadata and tags. It provides a one stop solution for all metadata, tags,
 shared object databases, search tools and indexing.

Package: tracker-explorer
Architecture: any
Section: gnome
Depends: ${shlibs:Depends},
         ${misc:Depends},
         tracker (= ${binary:Version})
Description: metadata database, indexer and search tool - developer tool
 This package includes a graphical developer tool that allows to query the
 tracker database for object properties and relationships.
 .
 Tracker is an advanced framework for first class objects with associated
 metadata and tags. It provides a one stop solution for all metadata, tags,
 shared object databases, search tools and indexing.

Package: tracker-extract
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         tracker (= ${binary:Version})
Recommends: unzip,
            odt2txt
Description: metadata database, indexer and search tool - metadata extractors
 This package contains the metadata extractors.
 .
 Tracker is an advanced framework for first class objects with associated
 metadata and tags. It provides a one stop solution for all metadata, tags,
 shared object databases, search tools and indexing.

Package: tracker-miner-fs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         tracker (= ${binary:Version}),
         tracker-extract (= ${binary:Version}),
         procps
Description: metadata database, indexer and search tool - filesystem indexer
 This package contains the tracker indexer for indexing your files and folders.
 .
 Tracker is an advanced framework for first class objects with associated
 metadata and tags. It provides a one stop solution for all metadata, tags,
 shared object databases, search tools and indexing.

Package: tracker-miner-evolution
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         tracker (= ${binary:Version})
Description: metadata database, indexer and search tool - evolution plugin
 This package contains a plugin for evolution which allows to index your
 evolution emails.
 .
 Tracker is an advanced framework for first class objects with associated
 metadata and tags. It provides a one stop solution for all metadata, tags,
 shared object databases, search tools and indexing.

Package: tracker-dbg
Architecture: any
Section: debug
Priority: extra
Depends: tracker (= ${binary:Version}), ${misc:Depends}
Description: metadata database, indexer and search tool - debugging symbols
 This package includes the debugging symbols useful for debugging tracker and
 its utilities.
 .
 Tracker is an advanced framework for first class objects with associated
 metadata and tags. It provides a one stop solution for all metadata, tags,
 shared object databases, search tools and indexing.

=== debian/rules ===
#!/usr/bin/make -f
  
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/cdbs/1/rules/utils.mk

DEB_CONFIGURE_EXTRA_FLAGS := \
	--enable-unac \
	--disable-unit-tests \
	--enable-tracker-status-icon \
	--enable-tracker-explorer \
	--enable-tracker-search-bar \
	--enable-tracker-search-tool \
	--enable-tracker-preferences \
	--enable-nautilus-extension \
	--enable-libvorbis \
	--enable-libflac \
	--enable-gtk-doc

LDFLAGS += -Wl,--as-needed -Wl,-Bsymbolic

# Enforce tight shlibs dependencies
DEB_DH_MAKESHLIBS_ARGS_ALL := -V -X/usr/lib/tracker-0.8/writeback-modules/ \
                                 -X/usr/lib/tracker-0.8/extract-modules/ \
                                 -X/usr/lib/tracker-0.8/push-modules/ \
                                 -X/usr/lib/tracker-0.8/libtracker-data \
                                 -X/usr/lib/evolution/ \
                                 -X/usr/lib/nautilus/extensions-2.0/

=== debian/watch ===
version=3

http://ftp.gnome.org/pub/GNOME/sources/tracker/([\d\.]+[2468])/tracker-(.*)\.tar\.gz

## tracker 0.10.11

=== debian/changelog ===
tracker (0.10.11-1) experimental; urgency=low

  * New upstream release.
  * Update debian/libtracker-extract-0.10-0.symbols. Add tracker-encoding
    symbols which were moved from libtracker-common.
  * Bump Standards-Version to 3.9.2. No further changes.

 -- Michael Biebl <biebl@debian.org>  Sun, 01 May 2011 01:25:17 +0200

tracker (0.10.10-1) experimental; urgency=low

  * New upstream release.
  * Update debian/libtracker-sparql-0.10-0.install, sparql-modules are no
    longer compiled as loadable modules, but linked statically.
  * Update symbols files for libtracker-sparql and libtracker-miner.
  * Improve package description, fix lintian spelling-error-in-description and
    spelling-error-in-changelog.

 -- Michael Biebl <biebl@debian.org>  Thu, 21 Apr 2011 14:59:22 +0200

tracker (0.10.6-1) experimental; urgency=low

  * New upstream release.
  * debian/control
    - Bump Build-Depends on libgstreamer0.10-dev and
      libgstreamer-plugins-base0.10-dev to (>= 0.10.31).

 -- Michael Biebl <biebl@debian.org>  Fri, 01 Apr 2011 02:02:36 +0200

tracker (0.10.5-1) experimental; urgency=low

  * New upstream release.
  * Remove patches
    - debian/patches/02-require_eds_2_32.patch (fixed upstream)
    - debian/patches/99-autoreconf.patch (obsolete)
  * Update debian/libtracker-miner-0.10-0.symbols.

 -- Michael Biebl <biebl@debian.org>  Fri, 25 Mar 2011 02:39:04 +0100

tracker (0.10.4-1) experimental; urgency=low

  * New upstream release.
  * debian/libtracker-sparql-0.10-0.symbols
    - Remove tracker_backend_status_wait_(async,finish) and
      tracker_sparql_connection_init_(async,finish). Those symbols were not
      meant to be public and have been removed.
    - Mark private symbols as optional.
  * debian/libtracker-miner-0.10-0.symbols
    - Mark private symbols as optional.

 -- Michael Biebl <biebl@debian.org>  Sat, 19 Mar 2011 17:31:38 +0100

tracker (0.10.3-1) experimental; urgency=low

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Sat, 12 Mar 2011 00:15:59 +0100

tracker (0.10.2-1) experimental; urgency=low

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Thu, 10 Mar 2011 22:28:16 +0100

tracker (0.10.1-1) experimental; urgency=low

  * New upstream release.
  * Refresh patches.
  * debian/rules
    - Explicitly disable network-manager support to not pick up any additional
      dependencies by accident. Network status detection support is not really
      useful anyway as long as we don't build any web miners.
  * debian/control
    - Remove tracker-status from package description. Its functionality has
      been merged into tracker-control. (See tracker-control --help-status)
    - Replace Build-Depends on libpoppler-dev with
      libpoppler-glib-dev (>= 0.16.0). The newer version of poppler-glib
      provides all necessary features and has a stable API.

 -- Michael Biebl <biebl@debian.org>  Sun, 06 Mar 2011 03:50:02 +0100

tracker (0.10.0-1) experimental; urgency=low

  * New major upstream release.
  * Update build dependencies
    - Bump intltool to (>= 0.40.0), libglib2.0-dev to (>= 2.26.0),
      libdbus-glib-1-dev to (>= 0.82).
    - Bump libdbus-1-dev (>= 1.3.1) for Unix file descriptor passing support.
    - Bump libsqlite3-dev to (>= 3.7.0) for WAL (Write-Ahead Logging).
    - Drop libunac1-dev.
    - Add libunistring-dev and libgif-dev.
    - Replace libpoppler-glib-dev with libpoppler-dev (temporarily).
    - Add dia for gtk-doc documentation.
  * Rename library packages for 0.8 → 0.10 soname bump.
  * Add packages for libtracker-sparql-0.10-0 and libtracker-sparql-0.10-dev.
  * Update symbols files.
  * Update patches
    - Drop debian/patches/01-upower.patch, merged upstream.
    - Update debian/patches/02-require_eds_2_32.patch to allow building
      against EDS 2.32.
    - Refresh debian/patches/99-autoreconf.patch.
  * tracker-search-tool has been replaced by tracker-needle. Update install
    file, package description and configure flags.
  * Drop Recommends on unzip (replaced by gzip, which is Essential) and
    odt2txt (obsolete).
  * Drop transitional package tracker-search-tool.
  * Remove obsolete --enable-unac configure flag.
  * Disable tracker-search-bar for now, as we don't have libpanelapplet-4.0 in
    Debian yet.
  * Remove tracker-status-icon as it is no longer shipped upstream. Clean up
    autostart file on upgrades.
  * Update install files.
  * Move libtracker-common, libtracker-data and sparql-modules into
    libtracker-sparql-0.10-0 package. Update shlibs.local accordingly.
  * Add lintian override for binary-or-shlib-defines-rpath for the tracker
    package. The rpath is used by tracker-store to load the private libraries
    in /usr/lib/tracker-0.10.

 -- Michael Biebl <biebl@debian.org>  Fri, 25 Feb 2011 15:21:37 +0100

tracker (0.8.17-2) unstable; urgency=low

  * Add explicit Build-Depends on libcamel1.2-dev (>= 2.32.0) and also bump
    evolution-dev and evolution-data-server-dev to (>= 2.32.0), as they need
    to be in sync. (Closes: #613503)
  * debian/patches/02-require_eds_2_32.patch
    - As we require EDS 2.32 now, drop older compat code which no longer
      compiles with newer versions of EDS. (Closes: #614488)
  * Switch from cdbs to dh.
  * Bump debhelper compatibility level to 8.
  * Fix watch file.
  * Add debian/tracker.docs.
  * Make sure libtracker-common does not end up in shlibs or symbols as it is
    a private library. Use shlibs.local to tell dpkg-shlibdeps where to find
    the library instead.

 -- Michael Biebl <biebl@debian.org>  Thu, 24 Feb 2011 22:55:39 +0100

tracker (0.8.17-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/01-nfo-belongsToContainer-index.patch
    - Remove this patch as the performance regressions have been fixed
      upstream by making tracker-miner-fs more efficient and patching the
      ontology isn't really a good idea.
  * debian/patches/01-upower.patch


## tracker 0.10.13

=== debian/changelog ===
tracker (0.10.13-1) experimental; urgency=low

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Thu, 12 May 2011 14:02:49 +0200

tracker (0.10.12-1) experimental; urgency=low

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Mon, 09 May 2011 12:41:43 +0200

## tracker 0.10.15

=== debian/changelog ===
tracker (0.10.15-1) experimental; urgency=low

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Thu, 26 May 2011 23:02:10 +0200

tracker (0.10.14-1) experimental; urgency=low

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Thu, 19 May 2011 21:20:09 +0200

tracker (0.8.18-1) unstable; urgency=low

  * New upstream release.
  * Refresh debian/patches/01-upower.patch.
  * Drop debian/patches/02-require_eds_2_32.patch, fixed upstream.
  * Use dh-autoreconf to update the build system
    - Drop debian/patches/99-autoreconf.patch.
    - Add Build-Depends on dh-autoreconf.
    - Pass --with autoreconf to dh.

 -- Michael Biebl <biebl@debian.org>  Thu, 12 May 2011 15:06:43 +0200

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed -Wl,-Bsymbolic

override_dh_auto_configure:
	dh_auto_configure -- \
		--disable-unit-tests \
		--enable-tracker-explorer \
		--disable-tracker-search-bar \
		--enable-tracker-needle \
		--enable-tracker-preferences \
		--enable-nautilus-extension \
		--enable-libvorbis \
		--enable-libflac \
		--enable-gtk-doc \
		--disable-network-manager

# Enforce tight shlibs dependencies
override_dh_makeshlibs:
	dh_makeshlibs -V \
		-X/usr/lib/tracker-0.10/ \
		-X/usr/lib/evolution/ \
		-X/usr/lib/nautilus/extensions-2.0/

override_dh_strip:
	dh_strip --dbg-package=tracker-dbg
